summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0015check_jump_loop_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0015check_jump_loop_1')
-rwxr-xr-xtests/shell/testcases/chains/0015check_jump_loop_14
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/shell/testcases/chains/0015check_jump_loop_1 b/tests/shell/testcases/chains/0015check_jump_loop_1
index ba40ddb9..a59bb3bf 100755
--- a/tests/shell/testcases/chains/0015check_jump_loop_1
+++ b/tests/shell/testcases/chains/0015check_jump_loop_1
@@ -7,5 +7,7 @@ $NFT add chain t c1
$NFT add chain t c2
$NFT add t c1 jump c2
# kernel should return ENOENT
-$NFT add t c2 ip daddr vmap { 1 : jump c3 }
+
+$NFT add t c2 ip daddr vmap { 1 : jump c3 } || exit 0
echo "E: Jumped to non existing chain" >&2
+exit 1